Skip to content

List Products

GET
/api/Products
curl --request GET \
--url 'https://example.com/api/Products?Status=Active' \
--header 'Authorization: Bearer <token>'

Returns a paginated list of products for a merchant, with their plans nested. Supports optional free-text search and filtering by status (Active, Seasonal, Archived).

GET /api/products?merchantId=...&search=loaf&status=Active&page=1&pageSize=20
MerchantId
string format: uuid
Search
string
Status
string
Allowed values: Active Seasonal Archived
Page
integer format: int32
PageSize
integer format: int32

Paginated list of products.

Media type application/json
object
items
Array<object>
nullable
object
id
string format: uuid
name
string
nullable
description
string
nullable
status
string
Allowed values: Active Seasonal Archived
iconBg
string
nullable
iconHoverBorder
string
nullable
subscriberIcon
string
Allowed values: Users ShoppingCart
subscriberCount
integer format: int32
plans
Array<object>
nullable
object
id
string format: uuid
name
string
nullable
description
string
nullable
price
number format: double
frequency
string
Allowed values: OneOff Daily Weekly Fortnightly Monthly Quarterly Yearly
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
hasNextPage
boolean
hasPreviousPage
boolean
Example
{
"items": [
{
"status": "Active",
"subscriberIcon": "Users",
"plans": [
{
"frequency": "OneOff"
}
]
}
]
}